package logical

type HTTPCodedError interface {
    Error() string
    Code() int
}

func CodedError(c int, s string) HTTPCodedError {
    return &codedError{s,c}
}

type codedError struct {
    s string
    code int
}

func (e *codedError) Error() string {
    return e.s
}

func (e *codedError) Code() int {
    return e.code
}

