---
layout: "http"
page_title: "HTTP API: Libraries"
sidebar_current: "docs-http-libraries"
description: |-
  List of official and community contributed libraries for interacting with the Vault HTTP API.
---

# Libraries

The programming libraries listed on this page can be used to consume the API more conveniently.
Some are officially maintained while others are provided by the community.

## Official

These libraries are officially maintained by HashiCorp.

### Go

* [Vault Go Client](https://github.com/hashicorp/vault/tree/master/api)
  * `go get github.com/hashicorp/vault/api`

### Ruby

* [Vault Ruby Client](https://github.com/hashicorp/vault-ruby)
  * `gem install vault`

## Community

These libraries are provided by the community.

### C&#35;

* [VaultSharp](https://github.com/rajanadar/VaultSharp)
  * `Install-Package VaultSharp`

### Java

* [vault-java](https://github.com/jhaals/vault-java)
* [vault-java-driver](https://github.com/BetterCloud/vault-java-driver)

### Node.js

* [node-vault](https://github.com/kr1sp1n/node-vault)
  * `npm install node-vault`
* [vaulted](https://github.com/chiefy/vaulted)
  * `npm install vaulted`

### Python

* [HVAC](https://github.com/ianunruh/hvac)
  * `pip install hvac`
